Package org.apache.lucene.analysis.ja.dict

# Class ConnectionCosts

java.lang.Object
org.apache.lucene.analysis.morph.ConnectionCosts
org.apache.lucene.analysis.ja.dict.ConnectionCosts

public final class ConnectionCosts extends ConnectionCosts
n-gram connection cost data

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.morph.ConnectionCosts

  `FILENAME_SUFFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionCosts(URL connectionCostsUrl)`
  Create a `ConnectionCosts` from an external resource URL (e.g.
  `ConnectionCosts(Path connectionCostsFile)`
  Create a `ConnectionCosts` from an external resource path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectionCosts`
  `getInstance()`

  ### Methods inherited from class org.apache.lucene.analysis.morph.ConnectionCosts

  `get`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionCosts

    public ConnectionCosts(Path connectionCostsFile) throws IOException
    Create a `ConnectionCosts` from an external resource path.
    Parameters:
      `connectionCostsFile` - where to load connection costs resource
    Throws:
      `IOException` - if resource was not found or broken

  - ### ConnectionCosts

    public ConnectionCosts(URL connectionCostsUrl) throws IOException
    Create a `ConnectionCosts` from an external resource URL (e.g. from Classpath with `ClassLoader.getResource(String)`).
    Parameters:
      `connectionCostsUrl` - where to load connection costs resource
    Throws:
      `IOException` - if resource was not found or broken

- ## Method Details

  - ### getInstance

    public static ConnectionCosts getInstance()